POST Agents/License/SaveCentralLicense
Some tooltip text!
• 4 minutes to read
• 4 minutes to read
POST /api/v1/Agents/License/SaveCentralLicense
NsApiSlow threshold: 5000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/License/SaveCentralLicense?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
License
| Property Name | Type | Description |
|---|---|---|
| License | Array |
Response:array
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: array
| Property Name | Type | Description |
|---|---|---|
| Name | string | The name of the license owner |
| Description | string | |
| RestrictedModuleLicenses | array | |
| UnrestrictedModuleLicenses | array | The unrestricted module licenses that this license owner |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/License/SaveCentralLicense
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv
Content-Type: application/json; charset=utf-8
{
"License": [
{
"Name": "Farrell-Schumm",
"Description": "Vision-oriented bifurcated installation",
"RestrictedModuleLicenses": [
{},
{}
],
"UnrestrictedModuleLicenses": [
{},
{}
]
},
{
"Name": "Farrell-Schumm",
"Description": "Vision-oriented bifurcated installation",
"RestrictedModuleLicenses": [
{},
{}
],
"UnrestrictedModuleLicenses": [
{},
{}
]
}
]
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
[
{
"Name": "Auer-Kunde",
"Description": "Multi-tiered bottom-line challenge",
"RestrictedModuleLicenses": [
{
"Unrestricted": false,
"Total": 612,
"Tooltip": "rerum",
"CanAssign": false,
"Free": 996,
"InUse": 380,
"IsHidden": false,
"Assigned": true,
"ModuleLicenseId": 532,
"Name": "Howell, Lehner and Watsica",
"Description": "Function-based leading edge benchmark",
"PrerequisiteModuleName": "Welch-Shanahan",
"SortOrder": 163,
"ExtraFlags": 381,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 939
}
}
}
],
"UnrestrictedModuleLicenses": [
{
"Unrestricted": true,
"Total": 407,
"Tooltip": "itaque",
"CanAssign": false,
"Free": 792,
"InUse": 485,
"IsHidden": true,
"Assigned": false,
"ModuleLicenseId": 540,
"Name": "Mann, VonRueden and Mann",
"Description": "Networked bottom-line function",
"PrerequisiteModuleName": "Schamberger LLC",
"SortOrder": 51,
"ExtraFlags": 321,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 932
}
}
}
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 9
}
}
},
{
"Name": "Auer-Kunde",
"Description": "Multi-tiered bottom-line challenge",
"RestrictedModuleLicenses": [
{
"Unrestricted": false,
"Total": 612,
"Tooltip": "rerum",
"CanAssign": false,
"Free": 996,
"InUse": 380,
"IsHidden": false,
"Assigned": true,
"ModuleLicenseId": 532,
"Name": "Howell, Lehner and Watsica",
"Description": "Function-based leading edge benchmark",
"PrerequisiteModuleName": "Welch-Shanahan",
"SortOrder": 163,
"ExtraFlags": 381,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 939
}
}
}
],
"UnrestrictedModuleLicenses": [
{
"Unrestricted": true,
"Total": 407,
"Tooltip": "itaque",
"CanAssign": false,
"Free": 792,
"InUse": 485,
"IsHidden": true,
"Assigned": false,
"ModuleLicenseId": 540,
"Name": "Mann, VonRueden and Mann",
"Description": "Networked bottom-line function",
"PrerequisiteModuleName": "Schamberger LLC",
"SortOrder": 51,
"ExtraFlags": 321,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 932
}
}
}
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 9
}
}
}
]